{
  outputs = {
    nixpkgs,
    systems,
    self,
  }: let
    eachSystem = f:
      nixpkgs.lib.genAttrs (import systems) (system:
        f {
          inherit system;
          pkgs = nixpkgs.legacyPackages.${system};
        });
  in {
    devShells = eachSystem ({pkgs, ...}: {
      default = pkgs.mkShell {
        packages = with pkgs; [
          just
          simple-http-server
          watchexec
          (python3.withPackages (ps: with ps; [jinja2]))
          latexrun
          texlive.combined.scheme-full
          ansifilter
        ];
      };
    });
  };
}
